X

This website uses cookies to ensure you get the best experience on our website.

Learn more in our Privacy Policy.

OMG! Ubuntu!

How to Install LibreOffice 6.0 on Ubuntu 16.04 LTS and Above

Want to install LibreOffice 6.0 on Ubuntu or Linux Mint? We’re going to show you how.

LibreOffice 6.0 comes with several ‘dramatic improvements’ according to The Document Foundation.

The update has, understandably, gotten a lot of people excited.

So if you’re keen to kick the proverbial on the improved compatibility with Microsoft Office files, export to the epub ebook format, or just play around with the much improved ‘Ribbon’ UI, you can as it’s easy to upgrade to LibreOffice 6.0 on Ubuntu & other Linux distros.

In fact, you already have everything you need to do it. So, in this post, we’ll show you (and everyone else wondering) how to install LibreOffice 6.0 on Ubuntu 16.04 LTS or later by way of a safe, trusted PPA.

Keep in mind that this is just one way to install it. You can also install it using installers available to download from the project website, as well as via Snap and Flatpak.

How to Install LibreOffice 6.0 on Ubuntu 16.04 LTS +

1. Add the LibreOffice 6.0 PPA

The LibreOffice Fresh PPA is maintained by LibreOffice. It provides latest packages of the open source office suite for use on Ubuntu 16.04 LTS, Ubuntu 17.10 and Ubuntu 18.04 (though the latter shouldn’t need to as LibreOffice 6.0 is included by default).

This PPA will work on Ubuntu, Linux Mint and most other Ubuntu-based distros.

To add the LibreOffice Fresh PPA open a new Terminal window and run this command:

sudo add-apt-repository ppa:libreoffice/ppa

2. Update Your System

Next run this command to update the list of packages available to install on your system:

sudo apt update

3. Upgrade or Install LibreOffice 6.0

Finally, run this command to upgrade or install LibreOffice 6.0:

sudo apt install libreoffice

Once this command completes you can head to your application launcher of choice and launch LibreOffice.

To verity your upgrade went successfully just head to the Help > About option. You should see the correct version listed.